%define distname sshfs-fuse

Name: fuse-sshfs
Version: 1.7
Release: alt1

Summary: SSH filesystem using FUSE
Group: System/Kernel and hardware
License: GPL
Url: http://fuse.sourceforge.net/sshfs.html
Packager: Andrei Bulava <abulava@altlinux.ru>

Source0: http://dl.sourceforge.net/sourceforge/fuse/%distname-%version.tar.gz
Patch0: %distname-1.6-alt-makefile.patch

# Automatically added by buildreq on Tue Sep 13 2005
BuildRequires: glib2-devel libfuse-devel pkgconfig

Requires: %{get_dep fuse}

Provides: sshfs-fuse
Obsoletes: sshfs-fuse

%description
This is a filesystem client based on the SSH File Transfer Protocol. Since most
SSH servers already support this protocol it is very easy to set up: i.e. on
the server side there's nothing to do. On the client side mounting the 
filesystem is as easy as logging into the server with ssh.

The idea of sshfs was taken from the SSHFS filesystem distributed with LUFS,
which sshfs-fuse's author found very useful. There were some limitations of
that codebase, so he rewrote it. Features of this implementation are:

* Based on FUSE (the best userspace filesystem framework for linux ;-)
* Multithreading: more than one request can be on it's way to the server
* Allowing large reads (max 64k)
* Caching directory contents
* Reconnect on failure

%prep
%setup -q -n %distname-%version
%patch0 -p1

%build
autoreconf -fisv
%configure
%make

%install
%makeinstall

%files
%doc AUTHORS COPYING ChangeLog NEWS README

%_bindir/sshfs
%_libdir/sshnodelay.so

%changelog
* Tue Oct 24 2006 Andrei Bulava <abulava@altlinux.ru> 1.7-alt1
- 1.7

* Mon Apr 03 2006 Andrei Bulava <abulava@altlinux.ru> 1.6-alt1
- 1.6

* Thu Nov 24 2005 Andrei Bulava <abulava@altlinux.ru> 1.3-alt1
- 1.3
- relaxed Requires regarding fuse

* Tue Oct 11 2005 Andrei Bulava <abulava@altlinux.ru> 1.2-alt2
- minor spec fixes:
  + got rid of an awkward hack and used %%get_version macro instead
  + added Packager field

* Wed Sep 14 2005 Andrei Bulava <abulava@altlinux.ru> 1.2-alt1
- 1.2
- updated BuildRequires

* Tue Jun 07 2005 Andrei Bulava <abulava@altlinux.ru> 1.1-alt2.1
- rebuilt with fuse-2.3

* Fri Apr 29 2005 Andrei Bulava <abulava@altlinux.ru> 1.1-alt2
- renamed to fuse-sshfs (#6588)
- added dependency on fuse-<version> to track lame ABI changes of libfuse
  (#6599, see also #6588)

* Mon Apr 18 2005 Andrei Bulava <abulava@altlinux.ru> 1.1-alt1
- initial build for ALT Linux

